Ubuntu – How to resolve broken dependancies and install Clementine

aptdependenciespackage-management

I'm trying to install Clementine in 15.10, but when I do sudo apt-get install clementine I get this:

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 clementine : Depends: libtag1v5-vanilla but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I tried a handful of other suggestions, per Unable to correct problems, you have held broken packages:

  • sudo apt-get autoremove
  • sudo apt-get install -f

Trying to install with aptitude gives me a series of suggestions, but they don't seem that workable:

 Keep the following packages at their current version:
1) clementine [Not Installed]  
2) libtag1v5-vanilla [Not Installed]  



Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

 Remove the following packages: 
1) account-plugin-aim 
2) account-plugin-jabber 
3) account-plugin-salut  
4) account-plugin-yahoo  
5) cheese  
6) empathy 
7) gnome-contacts 
8) gnome-control-center  
9) gnome-sushi 
10) gnome-video-effects 
11) gstreamer0.10-plugins-good 
12) gstreamer1.0-plugins-good 
13) indicator-bluetooth 
14) libcheese-gtk23 
15) libcheese7  
16) libfarstream-0.1-0 
17) libfarstream-0.2-2 
18) libpurple0  
19) libtag1-vanilla 
20) libtag1c2a  
21) libtelepathy-farstream3  
22) mcp-account-manager-goa  
23) mcp-account-manager-uoa  
24) pidgin  
25) pidgin-libnotify  
26) rhythmbox  
27) rhythmbox-mozilla  
28) rhythmbox-plugin-cdrecorder  
29) rhythmbox-plugin-magnatune 
30) rhythmbox-plugin-zeitgeist 
31) rhythmbox-plugins  
32) telepathy-haze 
33) totem 
34) totem-plugins  
35) ubuntu-desktop 
36) ubuntu-gnome-desktop  
37) unity-control-center  
38) unity-control-center-signon  
39) webaccounts-extension-common 
40) xul-ext-webaccounts 

 Keep the following packages at their current version:  
41) clementine [Not Installed] 

 Leave the following dependencies unresolved: 
42) gnome-bluetooth recommends unity-control-center | gnome-control-center 
43) libaccount-plugin-1.0-0 recommends unity-control-center-signon  
44) rhythmbox-data recommends rhythmbox 
45) unity recommends unity-control-center  
46) unity recommends indicator-bluetooth 
47) gnome-control-center-data recommends gnome-control-center (>= 1:3.16.3-0ubuntu1)  
48) gnome-online-accounts recommends gnome-control-center (>= 3.6.1) 
49) gnome-shell recommends gnome-contacts  
50) gnome-shell recommends gnome-control-center 
51) plainbox-provider-checkbox recommends gstreamer1.0-plugins-good 
52) libwebkitgtk-3.0-0 recommends gstreamer1.0-plugins-good  
53) libbrasero-media3-1 recommends gstreamer1.0-plugins-good 
54) indicator-datetime recommends unity-control-center (>= 14.04.3) | ubuntu-system-settings 
55) mcp-account-manager-uoa recommends account-plugin-aim 
56) mcp-account-manager-uoa recommends account-plugin-yahoo  
57) indicator-session recommends unity-control-center | gnome-control-center  
58) indicator-session recommends unity-control-center-signon | gnome-control-center-signon  
59) indicator-power recommends unity-control-center | gnome-control-center (>= 3.1) | ubuntu-system-settings | switchboard-plug-power | xfce4-power-manager | mate-power-ma
60) empathy recommends telepathy-haze 
61) indicator-sound recommends unity-control-center | gnome-control-center | ubuntu-system-settings | pavucontrol | mate-media  
62) ubuntu-desktop recommends cheese 
63) ubuntu-desktop recommends empathy 
64) ubuntu-desktop recommends rhythmbox 
65) ubuntu-desktop recommends rhythmbox-plugin-magnatune  
66) ubuntu-desktop recommends totem  
67) ubuntu-desktop recommends xul-ext-webaccounts  
68) pidgin recommends gstreamer0.10-plugins-good  
69) ubuntu-gnome-desktop recommends cheese  
70) ubuntu-gnome-desktop recommends empathy 
71) ubuntu-gnome-desktop recommends mcp-account-manager-goa  
72) ubuntu-gnome-desktop recommends rhythmbox  
73) ubuntu-gnome-desktop recommends rhythmbox-plugin-magnatune  


Accept this solution? [Y/n/q/?] 

Should I just abandon Clementine at this stage? And If I can't install Clementine is there another way to sync my ipod?

Best Answer

  • From the Clementine official website

    Ubuntu PPA :

    You can download the latest version of Clementine on Ubuntu from the official PPA:

    sudo add-apt-repository ppa:me-davidsansome/clementine
    sudo apt-get update
    sudo apt-get install clementine
    

    Dependencies for Ubuntu Precise (12.04) :

    New versions of Clementine require GStreamer 1.0 which wasn't included in Ubuntu 12.04. If you get errors installing Clementine you should add the GStreamer PPA as well:

    sudo add-apt-repository ppa:gstreamer-developers/ppa
    

    To remove clementine, do:

    sudo apt-get remove clementine
    
  • Related Question